App\Entity\EtatProduit:
    type: entity
    table: etat_produit
    fields:
        id:
            id: true
            type: integer
            unsigned: false
            nullable: false
            generator:
                strategy: IDENTITY
        reference:
            type: string
            length: 255
            fixed: false
            nullable: true
        emplacement:
            type: string
            length: 255
            fixed: false
            nullable: true
        titre:
            type: string
            length: 255
            fixed: false
            nullable: true
        prixAchat:
            type: float
            nullable: true
        prixVente:
            type: float
            nullable: true
        quantite:
            type: float
            nullable: true
        quantiteInitiale:
            type: float
            nullable: true
        quantiteEntree:
            type: float
            nullable: true
        quantiteSortie:
            type: float
            nullable: true
    manyToOne:
        produit:
            targetEntity: Produit
            cascade: {  }
            mappedBy: null
            inversedBy: eproduits
            joinColumns:
                produit_id:
                    referencedColumnName: id
            orphanRemoval: false
        etatStock:
            targetEntity: EtatStock
            cascade: {  }
            mappedBy: null
            inversedBy: eproduits
            joinColumns:
                etat_id:
                    referencedColumnName: id
            orphanRemoval: false